package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "OCD_DATOS_PAGAMENTO")
public class OCDDatosPagamento implements Serializable {
	
	private static final long serialVersionUID = 4354050654434171301L;

	@Id
	@Column(name = "OCDDATOSPAGAMENTO_ID")
	private Integer ocdDatosPagamentoId;
	
	@ManyToOne
	@JoinColumn(name = "OCD_ID")
	private OCD ocd;

	@Column(name = "TITULARCUENTA")
	private String titularcuenta;
	
	@Column(name = "IDENTIFICACION")
	private String identificacion;
	
	@Column(name = "BANCO")
	private String banco;
	
	@Column(name = "CUENTABANCO")
	private String cuentabanco;
	
	@Column(name = "AGENCIA")
	private String agencia;
	
	@Column(name = "EMAIL")
	private String email;
	
	@Column(name = "TELEFONO")
	private String telefono;
	
	@ManyToOne
	@JoinColumn(name = "NOTACREDITOVENDAPACOTE_ID")
	private NotaCreditoVendaPacote notaCreditoVendaPacote;

	public OCD getOcd() {
		return ocd;
	}

	public void setOcd(OCD ocd) {
		this.ocd = ocd;
	}

	public String getTitularcuenta() {
		return titularcuenta;
	}

	public void setTitularcuenta(String titularcuenta) {
		this.titularcuenta = titularcuenta;
	}

	public String getIdentificacion() {
		return identificacion;
	}

	public void setIdentificacion(String identificacion) {
		this.identificacion = identificacion;
	}

	public String getBanco() {
		return banco;
	}

	public void setBanco(String banco) {
		this.banco = banco;
	}

	public String getCuentabanco() {
		return cuentabanco;
	}

	public void setCuentabanco(String cuentabanco) {
		this.cuentabanco = cuentabanco;
	}

	public String getAgencia() {
		return agencia;
	}

	public void setAgencia(String agencia) {
		this.agencia = agencia;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getTelefono() {
		return telefono;
	}

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	public Integer getOcdDatosPagamentoId() {
		return ocdDatosPagamentoId;
	}

	public void setOcdDatosPagamentoId(Integer ocdDatosPagamentoId) {
		this.ocdDatosPagamentoId = ocdDatosPagamentoId;
	}

	public NotaCreditoVendaPacote getNotaCreditoVendaPacote() {
		return notaCreditoVendaPacote;
	}

	public void setNotaCreditoVendaPacote(NotaCreditoVendaPacote notaCreditoVendaPacote) {
		this.notaCreditoVendaPacote = notaCreditoVendaPacote;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((ocdDatosPagamentoId == null) ? 0 : ocdDatosPagamentoId.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		OCDDatosPagamento other = (OCDDatosPagamento) obj;
		if (ocdDatosPagamentoId == null) {
			if (other.ocdDatosPagamentoId != null)
				return false;
		} else if (!ocdDatosPagamentoId.equals(other.ocdDatosPagamentoId))
			return false;
		return true;
	}
	
}
